<?
class Pampa_Util_Dump {
	// ESCREVE UM ARQUIVO COM AS VARIAVEIS
	static function globals(){
		$str = "";
		
		//DEPURA AS GLOBAIS
		$str .= "\nGET:\n";
		$str .= print_r($_GET, true);
		
		$str .= "\nPOST:\n";
		$str .= print_r($_POST, true);
		
		$str .= "\nCOOKIE:\n";
		$str .= print_r($_COOKIE, true);
		
		$str .= "\nFILES:\n";
		$str .= print_r($_FILES, true);

    $str .= "\nSESSION:\n";
		$str .= print_r($_SESSION, true);
		
		self::text($str);
	}
	
	static function clean()
	{
		// ABRE O ARQUIVO
		$file = fopen("dump.txt", "w");
		
		// ESCREVE VAZIO
		fwrite($file, "");
		
		//FECHA O ARQUIVO
		fclose($file);
		
	}
	
	static function text($text){
		//ABRE O ARQUIVO
		$file = fopen("dump.txt", "a+");
		
		//COMECA A STRING
		$str = "\n".date("d-m-Y H:i:s")."\n";
		
		//INCLUI O TEXTO ENVIADO
		if(is_array($text)){
			$str .= utf8_decode(print_r($text, true));
		}
    if(is_object($text)){
      foreach($text as $k => $v){
        $str .= utf8_decode($k . ": ". $v) . "\n";
      }
    }
    if(is_string($text)){
			$str .= utf8_decode($text);
		}
		
		
		//FINALIZA A STRING
		$str .= "\n----------------------------------";
		
		//ESCREVE A STRING
		fwrite($file, $str);
		
		//FECHA O ARQUIVO
		fclose($file);
	}
}